CDN

Get CDN Zone

get/cdn/zones/{zone_uuid}

Get a specific CDN zone with all details.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

zone_uuid*string

Responses

Successful Response

application/json

uuid*string
name*string
domain*string
custom_domain?string | null
custom_domain_ssl_status?string | null
custom_domain_ssl_type*string
certificate_uuid?string | null
status*CDNZoneStatus
Value in"deploying""active""suspended""deleting""deleted"
plan?CDNZonePlanSummary | null

The plan a zone runs on, as embedded in the zone detail response.

Properties (4)
uuid*string
name*string
price_per_gb*record<string, number>
base_price_per_hour*number
price_per_gb_override?record<string, number> | null
project_id*integer
origins*array<CDNOriginItem>
Properties (21)
uuid*string
name*string
address*string
port*integer
protocol*CDNOriginProtocol
Value in"http""https"
weight*integer
priority*integer
is_backup*boolean
health_check_enabled*boolean
health_check_path?string | null
health_status*CDNOriginHealthStatus
Value in"healthy""unhealthy""unknown"
verify_ssl*boolean
host_header?string | null
base_path?string | null
enabled*boolean
s3_auth_enabled*boolean
s3_access_key?string | null
s3_region?string | null
s3_service?string | null
object_storage_bucket_uuid?string | null
created_at?string | null
rules*array<CDNZoneRuleSummary>
Properties (5)
uuid*string
name*string
rule_type*CDNRuleType
Value in"ssl""cache""cache_bypass""firewall_ip""firewall_country""firewall_ua""rate_limit""js_challenge""redirect""header_request""header_response""limit_download_speed""limit_requests""limit_connections""limit_bandwidth"
priority*integer
enabled*boolean
token_auth_enabled*boolean
token_auth_ip_binding*boolean
token_auth_secret?string | null
cors_enabled*boolean
cors_allow_origins?string | null
created_at?string | null
updated_at?string | null